#### D.15.5.11 makeFormalDivisor

Procedure from library `divisors.lib` (see divisors_lib).

Usage:
  makeFormalDivisor(L); L = list.

Assume:
  L is a list of tuples of an integer and a divisor.

Return:
  a formal divisor on X

Theory:
  Represents an integer formal sum of divisors.

Example:

    LIB "divisors.lib";
    ring r=31991,(x,y,z),dp;
    ideal I = y^2*z - x*(x-z)*(x+3*z);
    qring Q = std(I);
    divisor A = makeDivisor(ideal(x,z),ideal(1));
    divisor B = makeDivisor(ideal(x,y),ideal(1));
    makeFormalDivisor(list(list(-5,A),list(2,B)));

User manual for Singular version 4-0-3, 2016, generated by texi2html.